$managedDatablockSet = new SimSet() {
   canSaveDynamicFields = "1";
      setType = "Datablocks";

   new t2dImageMapDatablock(whiteImageMap) {
      imageName = "~/data/images/white.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(bulletImageMap) {
      imageName = "~/data/images/bullet.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(bulletAnimation) {
      imageMap = "bulletImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(wallImageMap) {
      imageName = "~/data/images/wall.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "2";
      cellCountY = "2";
      cellWidth = "250";
      cellHeight = "500";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(wallAnimation) {
      imageMap = "wallImageMap";
      animationFrames = "1 2 3 0";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(playerImageMap) {
      imageName = "~/data/images/player.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(playerAnimation) {
      imageMap = "playerImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(asteroidImageMap) {
      imageName = "~/data/images/asteroid.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(asteroidAnimation) {
      imageMap = "asteroidImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(graphpaperImageMap) {
      imageName = "~/data/images/graphpaper.jpg";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(particlesImageMap) {
      imageName = "~/data/images/particles.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(iconImageMap) {
      imageName = "~/data/images/icon.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(folowerImageMap) {
      imageName = "~/data/images/folower.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(folowerAnimation) {
      imageMap = "folowerImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(moon_astroidImageMap) {
      imageName = "~/data/images/moon astroid.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(moon_astroidAnimation) {
      imageMap = "moon_astroidImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(shooterImageMap) {
      imageName = "~/data/images/shooter.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(GoatImageMap) {
      imageName = "~/data/images/Goat.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(GoatAnimation) {
      imageMap = "GoatImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dAnimationDatablock(shooterAnimation) {
      imageMap = "shooterImageMap";
      animationFrames = "0 3 2 1";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(Level1_SplashImageMap) {
      imageName = "~/data/images/Level1_Splash.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(Level2_SplashImageMap) {
      imageName = "~/data/images/Level2_Splash.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "0";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(Level3_SplashImageMap) {
      imageName = "~/data/images/Level3_Splash.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "0";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(Level4_splashImageMap) {
      imageName = "~/data/images/Level4_splash.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "0";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(Level5_SplashImageMap) {
      imageName = "~/data/images/Level5_Splash.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "0";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(Level6_SplashImageMap) {
      imageName = "~/data/images/Level6_Splash.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "0";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(Level7_SplashImageMap) {
      imageName = "~/data/images/Level7_Splash.png";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "0";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(splodeImageMap) {
      imageName = "~/data/images/splode.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "250";
      cellHeight = "250";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(splodeAnimation) {
      imageMap = "splodeImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(toJamImageMap) {
      imageName = "~/data/images/toJam.png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "412";
      cellHeight = "225";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(toJamAnimation) {
      imageMap = "toJamImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.25";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(KickAsstroids_ImageMap) {
      imageName = "~/data/images/KickAsstroids .png";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "SMOOTH";
      filterPad = "1";
      preferPerf = "1";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "500";
      cellHeight = "500";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(KickAsstroids_Animation) {
      imageMap = "KickAsstroids_ImageMap";
      animationFrames = "0 1 2 3";
      animationTime = "0.25";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
};
